/* BANNER */

.banner-wrapper {
    aspect-ratio: 320 / 480;
}

.banner-media {
    width: 100%;

}

.img-wrapper {
    width: 100%;
    height: 100%;
    position: relative;
}

#custom-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.banner-cover {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
}

/* SECTIONS */

section {
    margin-top: 100px !important;
}

.section-title {
    width: min-content;
    min-width: 200px;
    margin: 0 auto;
    font-size: 1.5em;
    text-align: start;
    position: relative;
    font-family: var(--bold-font);
}

.section-title.dot::after {
    content: "";
    --_dot-size: 0.25em;
    margin-left: 0.5em;
    display: inline-block;
    width: var(--_dot-size);
    height: var(--_dot-size);
    background-color: var(--company-color4);
}

.section-title .green {
    color: var(--company-color4);
}

.margin {
    margin: 0 var(--main-margin);
}

.padding {
    padding: 0 var(--main-margin);
}

.content {
    width: 100%;
    max-width: 425px;
    margin: 0 auto;
}

/* CHEMICAL DATA */

.chemical-data {
    padding: 0;
    padding-top: 4.5em;

    display: flex;
    flex-direction: column;
    gap: 1em;

    position: relative;
}

.chemical-data-go-back {
    width: fit-content;
    font-size: 1.2em;
    color: black;
    border-bottom: 3px solid var(--company-color4);
    text-decoration: none;

    position: absolute;
    top: 1em;
    right: 1em;
}

.chemical-data-list {}

.chemical-data-body {
    padding: 1rem;
}

.chemical-data-list-ul {
    padding: 0;
    margin: 0;
    height: 100%;

    display: flex;
    overflow-x: auto;
}

.chemical-data-list-ul::-webkit-scrollbar-thumb {
    background: var(--company-color4);
}

.chemical-data-list-ul::-webkit-scrollbar-thumb:hover {
    background: var(--company-color1);
}

.chemical-data-list-ul::-webkit-scrollbar-track {
    border: 2px solid #a2a2a2;
}

.chemical-data-list-ul>li {
    display: flex;
    flex-direction: column;
    min-width: 200px;
    padding: 1em;

    background-color: white;
    cursor: pointer;
}

.chemical-data-list-ul>li:is(:hover, :focus) {
    background-color: #f2f2f2;
}

.chemical-data-list-ul>li.this {
    background-color: #e7e9ed;
    pointer-events: none;
}

.chemical-data-list-ul>li>h4 {
    margin: 0;
}

.chemical-data-list-ul>li>span {
    color: #757b80;
}

.chemical-data-list-ul>li>.show {
    display: none;
}

.chemical-data-list-ul>li.this>span.show {
    display: block;
}

.chemical-data-body>h2 {
    font-family: var(--bold-font);
    text-transform: uppercase;
}

.body-nav {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.body-nav>.wiki {
    display: none;
}

.body-nav>button,
.body-nav>a {
    width: fit-content;
    text-align: center;
    background-color: #ffffff;
    font-size: 1rem;
    font-family: var(--light-font);
    transition: padding 0.2s ease-out;
    color: black;
    position: relative;
}

.body-nav>a {
    height: min-content;
}

.body-nav>button.selected,
.body-nav>a.selected {
    color: var(--company-color4);
    font-family: var(--bold-font);
}

.body-content-wrapper {
    display: flex;
    flex-direction: column;
    flex: 1;
    overflow: auto;

    opacity: 0;
    visibility: hidden;
    transition: opacity 0.1s ease-in, visibility 0.1s ease-in;
}

.body-content-wrapper::-webkit-scrollbar-track {
    background: #ffffff00;
}

.body-content-wrapper::-webkit-scrollbar-thumb {
    background: var(--company-color4);
}

.body-content-wrapper::-webkit-scrollbar-thumb:hover {
    background: var(--company-color1);
}

.body-content-wrapper.selected {
    opacity: 1;
    visibility: visible;
}

.body-content-wrapper.overview {}

.body-content-wrapper.properties {}

.body-content {}

.properties>.body-content {
    display: flex;
    flex-direction: column;
}

.content-properties {
    display: flex;
    flex-direction: column;
}

.properties-group {
    font-size: 0.9rem;
    color: #757b80;
    margin-bottom: 0.5em;

    display: flex;
    flex-direction: column;
    gap: 0.5em;

    align-items: center;
    text-align: center;
}

.properties-group:not(:last-child) {
    padding-bottom: 0.5em;
    border-bottom: 1px solid #dfe1e5;
}

.properties-group>h4 {
    font-size: 1em;
    margin: 0;
    width: 30%;
    max-width: 300px;
}

.properties-group>p {
    margin: 0;
    flex: 1;

    text-wrap: wrap;
    word-wrap: break-word;
    word-break: break-all;
}

.body-content>h3 {
    font-family: var(--bold-font);
    color: #3a3a3a;
    font-size: 1.25em;
}

.characteristics-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1em;
}

.content-characteristics {
    font-size: 0.9rem;
}

.content-characteristics:last-child {
    flex: 1;
}

.content-characteristics>h4 {
    font-family: var(--bold-font);
    color: #3a3a3a;
    font-size: 1.15em;
    margin: 0;
}

.content-characteristics>p {
    margin-top: 0;
    margin-bottom: 1em;
}

.content-characteristics>span {}

.chemical-data-form {
    margin: auto;
    width: 100%;
    max-width: 500px;

    padding: 1em;
    height: fit-content;
}

.chemical-data-form>h3 {
    font-size: 1.25em;
    margin: 0;
    margin-bottom: 1em;
}

.form-wrapper {}

.input-wrapper {
    padding: 1em 0;
    display: flex;
    flex-direction: column;
    gap: 0.5em;
}

.input-label {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
}

.input-label input,
.input-label textarea {
    font-size: 1em;
}

.input-label input:user-invalid,
.input-label textarea:user-invalid {
    border: 1px solid var(--red-font-color) !important;
}

.input-label:has(input:user-invalid)::after,
.input-label:has(textarea:user-invalid)::after {
    color: var(--red-font-color);
    font-size: 0.9em;
    text-wrap: wrap;
    word-wrap: break-word;
    word-break: break-word;
}

.input-label:has(input[type="text"]:user-invalid)::after {
    content: "\1F5D9\0020Please don't leave this field empty";
}

.input-label:has(input[type="email"]:user-invalid)::after {
    content: "\1F5D9\0020Please enter a valid Email Address";
}

.input-label:has(input[name="phone-input"]:user-invalid)::after {
    content: "\1F5D9\0020Please enter a valid Phone number";
}

.input-label textarea {
    height: 10ch;
}

.input-label input:is([type="text"], [type="email"]),
.input-label textarea {
    border: 0;
    outline: 0;
    border: 1px solid transparent;
    border-bottom: 2px solid transparent;
    padding: 0.5em 0;

    transition: border 0.1s ease-in;
}

.input-label input:is([type="text"], [type="email"]):is(:hover, :focus),
.input-label textarea:is(:hover, :focus) {
    /* border: 1px solid #a7a9ac; */
    border-bottom: 2px solid #a7a9ac;
}

.checkbox-group {
    padding: 0.5em;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 1em;
}

.input-label.checkbox {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5em;
    color: #a7a9ac;
    cursor: pointer;
}

/* overcomplicated */
.input-label.checkbox:has(input[type="checkbox"]:not(:checked)):is(:hover, :focus) .checkmark {
    background-color: #c7ccd3;
}

.checkbox-group input[type="checkbox"] {
    display: none;
}

.checkmark {
    --_checkbox-size: calc(1em + 4px);
    content: "";
    display: inline-block;
    width: var(--_checkbox-size);
    height: var(--_checkbox-size);

    border: 2px solid #a7a9ac;
    position: relative;
    transition: background-color 0.1s ease-in;
}

.input-label:has(input[type="checkbox"]:checked)>.checkmark {
    border-color: var(--company-color4);
    background-color: var(--company-color4);
}

.request-a-quote-button {
    font-size: 1em;
    width: fit-content;
    padding: 0.25em 0;
    padding-right: 1em;
    border: none;
    background-color: unset;
    color: black;
    border-bottom: 1px solid black;
    transition: padding 0.1s ease-in;
}

.request-a-quote-button:is(:hover, :focus) {
    padding-right: 2em;
    font-weight: 600;
    font-family: var(--bold-font);
    border-width: 2px;
}

.request-a-quote-button.sent {
    padding: 0.25em 1em;
    color: #a7a9ac !important;
    border-color: #c7ccd3 !important;
    background-color: #c7ccd3 !important;
    cursor: default;
}

@keyframes dots {
    0% {
        content: "";
    }

    33% {
        content: ".";
    }

    66% {
        content: "..";
    }

    100% {
        content: "...";
    }
}

/* STAY AHEAD . */

.content-2 {
    display: flex;
    flex-direction: column;
    gap: 1em;
    margin-bottom: 50px;
}

.content-2-title {
    width: unset;
    text-align: center;
}

.content-2-text {
    text-align: justify;
    text-align-last: center;
    max-width: 768px;
}

@media (width>=768px) {

    .banner-wrapper,
    .banner-media {
        aspect-ratio: 1920 / 1080;
    }

    .content {
        max-width: 1440px;
    }

    .catalog-title-wrapper {
        margin: 0 5em;
        flex-direction: row;
        gap: 3em;
    }

    .catalog-title {
        margin: 0;
        position: absolute;
        top: -2.75em;
        left: 50%;
        transform: translateX(-50%);
    }

    .catalog-searchbar-wrapper {
        margin-right: var(--main-padding);
    }

    .catalog-options {
        margin-left: var(--main-padding);
    }

    .catalog-grid {
        margin: var(--main-padding) calc(var(--main-padding) * 4);
        margin-bottom: calc(var(--main-padding) * 2);
        padding: 0 var(--main-padding);
    }

    .content-characteristics:first-child {
        width: 20%;
    }

    .characteristics-wrapper {
        flex-direction: row;
    }

    .content-2-text {
        margin-left: auto;
        margin-right: auto;
    }

    .body-nav {
        border-top: none;
    }

    .body-nav>button,
    .body-nav>a {
        border-bottom: none;
    }
}

@media (width>=1024px) {
    .chemical-data {
        padding-top: 0;
        max-height: 100ch;
        flex-direction: row;
        overflow-x: hidden;
    }

    .chemical-data-list {
        display: inline-table;
        height: 100%;
        max-height: 70%;
        min-width: 180px;
        width: 20%;
    }

    .chemical-data-list-ul {
        flex-direction: column;
    }

    .chemical-data-list-ul>li {
        min-width: unset;
    }

    .chemical-data-body {
        flex: 1;
        display: flex;
        flex-direction: column;
    }

    .properties-group {
        text-align: start;
        align-items: start;
        flex-direction: row;
        gap: 1em;
    }

    .body-nav {
        flex-direction: row;
        position: relative;
        box-shadow: none
    }

    .body-nav>button,
    .body-nav>a {
        width: fit-content;
        text-align: start;
    }

    .chemical-data-form {
        margin: 0;
        margin-top: 139px;
        border-top: none;
        width: 30%;
    }
}

@media (width>=1440px) {
    .chemical-data {
        padding-left: var(--main-margin);
    }

    .banner-title {
        top: 200px;
        left: 50%;
        bottom: unset;
    }
}